/*
 *  Colors
 *
 *  blue-ocean: #5AB6FF;
 *  dark-grey: #252525;
 *  light-grey: #787878;
 *  white: #fff;
 *
 *  Error colors
 *  error-red: #E50014;
 *  info-blue: #3168AA;
 *  success-green: #51AF1F;
 */


/*
 *  jQuery-mobile viewport
 *  Default font and <body> stuff
 */

 .ui-mobile-viewport {
     background-color: #fff;
     font-family: 'Open Sans', sans-serif;
     font-size: 16px;
 }


 /*
     Header
 */

 .ui-header {
     background-color: #252525;
     border-width: 0;
     border-style: none;
     height: 2.5rem;
 }


 /*
     Header title
 */

 .ui-header .ui-title {
     color: #fff;
     font-weight: 800;
     font-size: 1.4rem;
     padding: 0;
     margin-top: 0.2rem;
 }


 /*
     Header fixed top
 */

 .ui-header-fixed {
     top: 0;
     padding-top: 0;
 }


 /*
     Content
 */

 .ui-content {
    min-height: 100%;
    padding: 2rem;
    margin-bottom: 4rem;
 }

 /* Needed to maintain full height */

 .ui-panel-wrapper {
     height: 100%;
     width: 100%;
 }


 /*
  *  Forms
  *
  */

 .ui-input-text, .ui-input-search {
     border-color: #5AB6FF;
     border-radius: 2px;
 }

 .ui-input-text input, .ui-input-search input {
     min-height: 2rem;
     color: #fff;
     font-size: 1rem;
     font-weight: 300;
 }


 /* button */

 button.ui-btn {
     padding: .7em 1.6em;
     background-color: #5AB6FF;
     border-radius: 2px;
     border: none;
     color: #fff;
     font-weight: 300;
 }

 button.ui-btn, .ui-controlgroup-controls button.ui-btn-icon-notext {
     width: auto;
 }

.underline {
    border-bottom: 1px solid #fff;
}

 /* links */

 a.ui-link {
     color: #fff;
 }


 /* ul */

 ul {
     list-style: none;
 }


 /* Footer */

 .ui-footer {
     border-width: 0 !important;
     border-style: none !important;
     position: absolute;
     bottom: 0;
     left: 0;
     width: 100%;
 }


 /*
  *  Widgets customizations
  */

 .ui-panel-inner {
     padding: 0 !important;
 }


 /* listview reset style */

 .ui-listview>li>a.ui-btn {
     border-style: 0;
     border-style: none;
 }


 /*
  *   Custom Styling for everything else apart from jQuery Mobile
  *
  */


 /* Effects */

 @keyframes fadeInOut {
     0% {
         opacity: 0;
     }
     16% {
         opacity: 1;
     }
     84% {
         opacity: 1;
     }
     100% {
         opacity: 0;
     }
 }


 /* Generic */

 body {
     min-height: 100%;
 }

 html {
     height: 100%;
    text-rendering: optimizeLegibility !important;
    -webkit-font-smoothing: antialiased !important;
 }

 a {
     text-decoration: none;
 }

 h1, h2, h3, h4, h5, h6 {
     padding: 0;
     margin: 0 0 2rem 0;
     font-weight: 900;
 }

 .center-text {
     text-align: center;
 }

 #top-header {
     margin-left: 0;
     border-bottom: 1px solid #787878;
 }

 #top-header a {
     color: #fff;
 }

 #top-header .menu {
     color: #fff;
     font-size: 1.1rem;
     padding: 0;
     margin-top: 0.2rem;
     margin-left: 0.2rem;
 }

 #top-header .menu i {
     color: #fff;
     font-size: 1.2rem;
 }


 /*
     Left Menu
 */

 #menu {
     color: #fff;
     background-color: #252525;
     border-right: 1px solid #787878;
     padding: 0;
     z-index: 9999;
     height: 100%;
     overflow-y: scroll;
 }

 #menu .divider {
     width: 100%;
     height: 1px;
     background-color: #5AB6FF;
     float: left;
     margin-top: 1.4rem;
     margin-bottom: 1.4rem;
 }

 #menu .user {
     width: 100%;
     min-height: 6rem;
     margin-bottom: 2rem;
     margin-top: 1.6rem;
     text-align: center;
 }

 #menu .user i {
     color: #fff;
     font-size: 6rem;
 }

 #menu ul {
     margin: 0;
     padding: 0;
 }

 #menu ul li {
     list-style: none;
     width: 100%;
     float: left;
     margin: 0;
 }

 #menu ul li:hover {
     background-color: rgba(46, 189, 236, 0.9);
     background-color: #50A4E7;
 }

 #menu ul li a {
     color: #fff;
     display: block;
     padding-left: 1.5rem;
     padding-right: 1rem;
     padding-top: 0.5rem;
     padding-bottom: 0.5rem;
 }

#menu ul li.header {
    background-color: #000000;
    border-top: 3px solid #f1f1f1;
    margin-top: 30px;
    margin-bottom: 10px;
}

#menu ul li.header i {
    margin-left: 170px;
    font-size: 1.1rem;
}

 .ui-listview>.ui-li-static, .ui-listview>.ui-li-divider, .ui-listview>li>a.ui-btn {
    border-style: none !important;
}

 #menu .wrapper {
     margin-left: 1.5rem;
     margin-right: 1.5rem;
 }

 #menu .wrapper h2 {
     font-size: 1.3rem;
 }

 #menu .wrapper p {
     line-height: 1.4rem;
     word-spacing: 0.2rem;
     letter-spacing: 0.04rem;
     font-size: 0.9rem;
 }


 /*
  *  Alert Messages
  *  Notification
  */

 .alert {
     max-width: 24rem;
     min-height: 40px;
     background-color: none;
     color: #fff;
     position: fixed;
     top: 3rem;
     right: 1.6rem;
     z-index: 9999;
 }

 .alert .error {
     background-color: #E50014;
     padding: 0.1rem 1rem;
     border-radius: 3px;
 }

 .alert .success {
     background-color: #51AF1F;
     padding: 0.1rem 1rem;
     border-radius: 3px;
 }

 .alert .info {
     background-color: #3168AA;
     padding: 0.1rem 1rem;
     border-radius: 3px;
 }


 /*
  *  Pages
  *
 */

 .ui-content>h1, .ui-content>h2 {
     border-bottom: 1px solid #787878;
     padding-bottom: 0.6rem;
 }

 .page-wrapper {
     background-color: #252525;
     color: #fff;
     border-radius: 2px;
 }

 .page-wrapper .ui-block-a {
     padding-right: 1.2rem;
 }

 .page-wrapper .ui-block-b {
     padding-left: 1.2rem;
 }

/*
    Home
*/

#home .video-wrapper {
    width: 100%;
    margin-bottom: 2rem;
}

#home video {
    width: 100%;
}

/* Pub list */

#pub-list .pub {
    margin-bottom: 2rem;
}

#pub-list .pub .header {
    padding: 1rem 1rem 0.3rem 1rem;
    height: 50px;
}

#pub-list .pub .header .bookmark {
    width: 40px;
    float: left;
    margin-top: 0.3rem;
    margin-left: 2rem;
}

#pub-list .pub .header .bookmark i {
    font-size: 1.7rem;
}

#pub-list .pub .header h2 {
    min-width: 93%;
    float: right;
    padding: 0;
    margin: 0;
    text-align: center;
}

#pub-list .pub .img img {
    width: 100%;
    height: 473px;
}

#pub-list .pub .footer {
    height: 60px;
}

#pub-list .pub .footer .menu {
    min-width: 10%%;
    float: right;
    padding-right: 1rem;
}

#pub-list .pub .footer .menu li {
    float: left;
    margin-right: 1rem;
}

#pub-list .pub .footer .menu li i {
    padding-right: 0.2rem;
}


 /* Login */

 #login p.help {
     color: #E50014;
     font-size: 0.9rem;
     padding-top: 0;
     margin-top: 0;
     line-height: 0.6rem;
     font-weight: 700;
 }

 #login .page-wrapper {
    padding: 2rem;
 }

 #login .page-wrapper button {
     float: left;
 }

 #login .page-wrapper a {
     float: left;
     padding-top: 1rem;
     padding-left: 1.4rem;
 }


 /*
     Home Page
 */

 .game-callout-wrap {
     display: block;
     margin-bottom: 2rem;
     padding: 1rem;
 }

 .game-callout-wrap p {
     display: inline-block;
     margin-right: 1%;
 }

 .game-callout-wrap a {
     display: inline-block;
     margin-right: 1%;
 }

 .play-btn {
     padding: 5px 20px 5px 20px;
     background-color: #5AB6FF;
     border-radius: 2px;
 }


 /*
     Rules
 */

#game-rules .page-wrapper {
    padding: 2rem;
}

#game-rules ul {
    padding-left: 0;
}

#game-rules ul li {
    padding: 0.4rem;
}

#game-rules ul li i {
    padding-right: 0.3rem;
}


/*
    Locate Pubs
*/

#locate_pubs #map {
    width: 100%%;
    height: 450px;
    margin: 0 auto;
    position: relative;
}

#locate_pubs #pubInfo {
    color: #212121;
}

#locate_pubs #input-search {
    width: 100%%;
    height: 2.2rem;
    margin: 0 auto;
    background-color: transparent;
    z-index: 9999;
    border-color: #5AB6FF;
    border-radius: 2px;
    color: #fff;
    font-size: 1.2rem;
}

#locate_pubs #input-search::-webkit-input-placeholder { /* Chrome/Opera/Safari */
  color: #fff;
}
#locate_pubs #input-search::-moz-placeholder { /* Firefox 19+ */
    color: #fff;
}
#locate_pubs #input-search:-ms-input-placeholder { /* IE 10+ */
  color: #fff;
}
#locate_pubs #input-search:-moz-placeholder { /* Firefox 18- */
  color: #fff;
}


#locate_pubs .ui-content > .page-wrapper:first-child {
    padding: 0.5rem 2rem 2rem 2rem;
    height: auto;
    margin-bottom: 2rem;
}

/*
    Token Hunt
*/

#token_hunt .page-wrapper {
    width: auto;
    height: 100%;
    padding: 2rem;
}

#map {
    width: 100%;
    height: 750px;
}

/*
    my-rewards
*/

#my-rewards .page-wrapper {
    padding: 0.4rem;
}

#my-rewards .page-wrapper:after { 
   content: " ";
   display: block; 
   height: 0; 
   clear: both;
}

#my-rewards .product {
    width: 100%;
    min-height: 100px;
    float: left;
    padding-top: 1rem;
    padding-bottom: 1rem;
    border-bottom: 1px solid #3C3D3D;
}

#my-rewards .product p {
    padding: 0 1rem 0.4rem 1rem;
    margin: 0;
    margin-bottom: 2px solid ;
}

#my-rewards .product .image {
    width: 236px;
    height: 152px;
    float: left;
    display: block;
    margin-left: 0.6rem;
    border: 2px solid #3C3D3D;
    border-radius: 3px;
}

#my-rewards .product .description {
    width: 600px;
    padding: 0.4rem;
    float: left;
    display: block;
}


#my-rewards .product .description h2, #my-rewards .product .claim-code h2 {
    width: 100%;
    display: block;
    margin: 0;
    padding: 0.4rem 0.4rem 0.4rem 1rem;
}

#my-rewards .product .claim-code {
    min-width: 300px;
    padding-top: 0.4rem;
    float: left;
    display: block;
}

#my-rewards .product .claim-code .code {
    text-align: center;
    font-size: 2rem;
    font-weight: 800;
    padding-top: 1.2rem;
}

/*
    Newsletter Manager
*/
#newsletter-manager .page-wrapper {
    padding: 2rem;
    background-color: #fff;
    color: #212121;
}

#newsletter-manager .ui-input-text input {
    color: #212121;
}

#newsletter-manager .ui-input-text {
    border-color: #212121;
}

#newsletter-manager button.ui-btn {
    background-color: #212121;
}

/*
    Booking
*/

#booking .header {
    padding: 0.4rem;
}

#booking .page-wrapper {
    padding: 0.4rem;
}

#booking .page-wrapper:after { 
   content: " ";
   display: block; 
   height: 0; 
   clear: both;
}

#booking .page-wrapper .left {
    width: 46%;
    float: left;
    padding: 2%;
}

#booking .page-wrapper .right {
    width: 46%;
    float: right;
    padding: 2%;
}
#booking #booking-form .ui-btn {
    text-align: left;
    padding: 0.5em 1em;
}

#booking #booking-form button[name="confirm"] {
    text-align: center;
}

.ui-select {
    border: 1px solid #5AB6FF;
    border-radius: 2px;
    min-height: 2rem;
    color: #fff;
    font-size: 1rem;
    font-weight: 300;
}

#booking #booking-form {
    width: 100%;
}

#booking .page-wrapper button.ui-btn {
    width: 150px;
    text-align: center;
    float: right;
}

/*
    Clues
*/

#clues .page-wrapper {
    padding: 2rem;
}

#booking .page-wrapper:after { 
   content: " ";
   display: block; 
   height: 0; 
   clear: both;
}

#clues #question-text {
    font-size: 1.2rem;
    font-weight: 800;
    padding: 1rem 1rem 0 1rem;
}

#clues #clue-image {
    width: 236px;
    height: auto;
    margin: 0 auto;
    border: 2px solid #6B6C6C;
    border-radius: 3px;
}

#clues #clue-image img {
    margin-bottom: -5px;
}

#clues #logo p[id*="ans"] {
    width: 100%;
    text-align: center;
    margin-top: 0.2rem;
}

#clues #logo .ans-wrapper {
    width: 100%;
    padding: 0.4rem;
    margin-top: 1.6rem;
}

#clues #logo .ui-radio {
    width: 22px;
    height: 22px;
    margin: 0 auto;
    outline: 0 !important;
    z-index: 1;
}

#clues button.ui-btn {
    min-width: 100px;
    padding: 0.6rem 2rem 0.6rem 2rem;
    margin: 0 auto;
}

#clues h2 {
    width: 100%;
    text-align: center;
}

/*
    Activities
*/

#activity .page-wrapper {
    padding: 0.6rem 0.6rem 0.8rem 0.6rem;
    min-height: 50px;
}

#activity .page-wrapper:after {
   content: " ";
   display: block;
   height: 0;
   clear: both;
}

#activity .activity-list {
    width: 100%;
    height: auto;
}

#activity .activity-list .row {
    width: 100%;
    display: block;
    float: left;
    margin-bottom: 0.4rem;
    padding-bottom: 0.4rem;
    border-bottom: 1px solid #3C3D3D;
}

#activity .activity-list .header {
    width: 100%;
    clear: both;
    padding-bottom: 0.4rem;
}

#activity .activity-list .header h3 {
    padding: 0.2rem;
    margin: 0;
    font-size: 1.1rem;
}

#activity .activity-list ul {
    padding: 0;
    margin: 0;
}

#activity .activity-list ul li {
    float: left;
}

#activity .activity-list ul li .left {
    width: 60%;
    float: left;
}

#activity .activity-list ul li .right {
    width: 25%;
    float: left;
    padding-left: 4rem;
    padding-right: 0.2rem;
}

/*
    About Us
*/

.dev-block {
    list-style: none;
    border-top: 1px solid #787878;
    padding: 2% 2% 3% 2%;
}

.block-wrap {
    padding: 2.6rem 0rem 1.1rem 0rem;
}

.pic-round {
    border-radius: 50%;
    float: left;
    height: 100px;
    width: 100px;
}

.name {
    padding-top: 2%;
    padding-left: 20%;
}


/*
    Footer
*/

#footer {
    background-color: #252525;
    color: #fff;
    height: 4rem;
    position: absolute;;
    bottom: 0;
    width: 100%;
}

#footer .copyright {
    padding: 1rem;
    text-align: center;
}
